pbs_mpirun(8B)

NAME
pbs_mpirun Deprecated. Run MPI programs under PBS with MPICH

SYNOPSIS
pbs_mpirun [<mpirun options>] pbs_mpirun --version

DESCRIPTION
The PBS command pbs_mpirun replaces the standard mpirun command in a PBS MPICH job using P4. On Windows, this command cannot be used to start job processes or to track a job's resource usage. Prerequisite
The PATH on remote machines must contain PBS_EXEC/bin.

USAGE
Usage is the same as for mpirun, except for the -machinefile option. All other options are passed directly to mpirun.

OPTIONS

<mpirun options>
    The options to pbs_mpirun are the same as for mpirun, except for the -machinefile option. This is generated by pbs_mpirun. The user should not attempt to specify -machinefile. The value for -machinefile is a temporary file created from PBS_NODEFILE in the format:
           hostname-1[:number of processors]
           hostname-2[:number of processors]
           hostname-n[:number of processors] where if the number of processors is not specified, it is 1. An attempt by the user to specify the -machinefile option will result in a warning saying "Warning, -machinefile value replaced by PBS". The default value for the -np option is the number of entries in PBS_NODEFILE.

--version
    The pbs_mpirun command returns its PBS version information and exits. This option can only be used alone.

ENVIRONMENT VARIABLES
pbs_mpirun modifies P4_RSHCOMMAND and PBS_RSHCOMMAND. Users should not edit these. pbs_mpirun copies the value of P4_RSHCOMMAND into PBS_RSHCOMMAND.

SEE ALSO
The PBS Professional Administrator's Guide

mpirun(1)